| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.MenuComboToolbar.ToggleToolButton

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods
Attributes
Signals

Description

A `ToolItem` containing a toggle button

- Module available since Gtk+ version 2.4

Synopsis

data ToggleToolButton
class ToolButtonClass o => ToggleToolButtonClass o
castToToggleToolButton :: GObjectClass obj => obj -> ToggleToolButton
toToggleToolButton :: ToggleToolButtonClass o => o -> ToggleToolButton
toggleToolButtonNew :: IO ToggleToolButton
toggleToolButtonNewFromStock :: StockId -> IO ToggleToolButton
toggleToolButtonSetActive :: ToggleToolButtonClass self => self -> Bool -> IO ()
toggleToolButtonGetActive :: ToggleToolButtonClass self => self -> IO Bool
toggleToolButtonActive :: ToggleToolButtonClass self => Attr self Bool
onToolButtonToggled :: ToggleToolButtonClass self => self -> IO () -> IO (ConnectId self)
afterToolButtonToggled :: ToggleToolButtonClass self => self -> IO () -> IO (ConnectId self)

Detail
A `ToggleToolButton` is a `ToolItem` that contains a toggle button. Use `toggleToolButtonNew` to create a new `ToggleToolButton`. Use `toggleToolButtonNewFromStock` to create a new `ToggleToolButton` containing a stock item.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----ToolItem
     |                                 +----ToolButton
     |                                       +----ToggleToolButton
     |                                             +----RadioToolButton

Types
data ToggleToolButton

Instances

GObjectClass ToggleToolButton
ToggleToolButtonClass ToggleToolButton
ToolButtonClass ToggleToolButton
ToolItemClass ToggleToolButton
BinClass ToggleToolButton
ContainerClass ToggleToolButton
WidgetClass ToggleToolButton
ObjectClass ToggleToolButton

class ToolButtonClass o => ToggleToolButtonClass o

Instances

ToggleToolButtonClass RadioToolButton
ToggleToolButtonClass ToggleToolButton

castToToggleToolButton :: GObjectClass obj => obj -> ToggleToolButton
toToggleToolButton :: ToggleToolButtonClass o => o -> ToggleToolButton
Constructors
toggleToolButtonNew :: IO ToggleToolButton
Returns a new `ToggleToolButton`
toggleToolButtonNewFromStock

:: StockId | `stockId` - the name of the stock item
-> IO ToggleToolButton |
Creates a new `ToggleToolButton` containing the image and text from a stock item. It is an error if `stockId` is not a name of a stock item.

Methods
toggleToolButtonSetActive :: ToggleToolButtonClass self => self -> Bool -> IO ()
Sets the status of the toggle tool button. Set to `True` if you want the `ToggleButton` to be 'pressed in', and `False` to raise it. This action causes the toggled signal to be emitted.
toggleToolButtonGetActive :: ToggleToolButtonClass self => self -> IO Bool
Queries a `ToggleToolButton` and returns its current state. Returns `True` if the toggle button is pressed in and `False` if it is raised.
Attributes
toggleToolButtonActive :: ToggleToolButtonClass self => Attr self Bool
If the toggle tool button should be pressed in or not. Default value: `False`
Signals
onToolButtonToggled :: ToggleToolButtonClass self => self -> IO () -> IO (ConnectId self)
afterToolButtonToggled :: ToggleToolButtonClass self => self -> IO () -> IO (ConnectId self)
Emitted whenever the toggle tool button changes state.
Produced by Haddock version 2.4.2